Subject: Re: [PATCH v4 02/26] sfc: add cxl support using new CXL API

From: Jonathan Cameron <[email-masked]>
Date: Tue, 29 Oct 2024 15:14:04 +0000

> >> +
> >> +	cxl = kzalloc(sizeof(*cxl), GFP_KERNEL);  
> > __free magic here.
> > Assuming later changes don't make that a bad idea - I've not
> > read the whole set for a while.  
> 
> 
> Remember we are in netdev territory and those free magic things are not 
> liked ...

I'll keep forgetting that. Feel free to ignore me when I do!

> >> diff --git a/drivers/net/ethernet/sfc/net_driver.h b/drivers/net/ethernet/sfc/net_driver.h
> >> index b85c51cbe7f9..77261de65e63 100644
> >> --- a/drivers/net/ethernet/sfc/net_driver.h
> >> +++ b/drivers/net/ethernet/sfc/net_driver.h
> >> @@ -817,6 +817,8 @@ enum efx_xdp_tx_queues_mode {
> >>   
> >>   struct efx_mae;
> >>   
> >> +struct efx_cxl;
> >> +
> >>   /**
> >>    * struct efx_nic - an Efx NIC
> >>    * @name: Device name (net device name or bus id before net device registered)
> >> @@ -963,6 +965,8 @@ struct efx_mae;
> >>    * @tc: state for TC offload (EF100).
> >>    * @devlink: reference to devlink structure owned by this device
> >>    * @dl_port: devlink port associated with the PF
> >> + * @cxl: details of related cxl objects
> >> + * @efx_cxl_pio_initialised: clx initialization outcome.  
> > cxl  
> 
> 
> Well spotted. I'll fix it.
> 
> 
> > Also, it's in a struct called efx_nic, so is the efx_ prefix
> > useful?  
> 
> 
> I do not like to have the name as the struct ...
You've lost me.  efx_nic->cxl_pio_initialised was that I was suggesting
and not setting how this comment applies.

J